module Config.Pages.Services.Types exposing (..)

import Element as E exposing (..)


type alias Service =
    { serviceImage : String
    , serviceLink : String
    , serviceName : String
    , serviceRate : String
    , serviceDescription : List Description
    , serviceArticle : Article
    }


type alias Article =
    { articleParagraph : List String
    , articleTitles : Title
    , articleListEntries : ArticleList
    }


type alias Title =
    { title1 : String
    , title2 : String
    , title3 : String
    , title4 : String
    , title5 : String
    , title6 : String
    , title7 : String
    , title8 : String
    , title9 : String
    , title10 : String
    }


type alias ArticleList =
    { list1 : List String
    , list2 : List String
    , list3 : List String
    , list4 : List String
    , list5 : List String
    , list6 : List String
    , list7 : List String
    , list8 : List String
    , list9 : List String
    , list10 : List String
    }


type alias Bulletpoint =
    { entry : String
    }


type alias Numbered =
    { entry : String
    }


type alias Highlighted =
    { entry : String
    }


type alias Description =
    { point : String
    }
