module Config.Pages.Services.Services.ElmBuilds exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Services.Types exposing (..)
import Element exposing (..)
import Route.Path as Path


servicesElmBuilds : Service
servicesElmBuilds =
    let
        name : String
        name =
            "Custom Elm Sites"
    in
    { serviceImage = formatName name
    , serviceLink = Path.toString Path.Services_Elm
    , serviceName = name
    , serviceRate = "$20/hr"
    , serviceDescription =
        [ { point = "Receive a custom website frontend written in Elm." }
        , { point = "Tailored solutions based on user needs." }
        , { point = "Help with integration and server integration." }
        , { point = "Receive unlimited revisions before finalization." }
        ]
    , serviceArticle =
        { articleTitles =
            { title1 = "What You Get"
            , title2 = "What We Need"
            , title3 = ""
            , title4 = ""
            , title5 = ""
            , title6 = ""
            , title7 = ""
            , title8 = ""
            , title9 = ""
            , title10 = ""
            }
        , articleParagraph =
            []
        , articleListEntries =
            { list1 =
                [ ""
                ]
            , list2 =
                [ ""
                ]
            , list3 =
                []
            , list4 =
                []
            , list5 =
                []
            , list6 =
                []
            , list7 =
                []
            , list8 =
                []
            , list9 =
                []
            , list10 =
                []
            }
        }
    }
